/*
* Math library
*
* Copyright (C) 2016 Intel Corporation. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
*   * Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*   * Neither the name of Intel Corporation nor the names of its
*     contributors may be used to endorse or promote products derived
*     from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*
* Author Name <jingwei.zhang@intel.com>
*   History:
*   03-14-2016 Initial version. numerics svn rev. 12864
*/
	.file "sqrt_tab_t.c"
	.section .rodata, "a"
	.align 8
	.align 8
	.globl __sqrt_t_table
__sqrt_t_table:
	.long	0x400672f9
	.long	0xc060f4f5
	.long	0xba659415,0x40052c06
	.long	0x4003de5a
	.long	0xc05e5b2f
	.long	0xfe66c797,0x4005170e
	.long	0x40015b59
	.long	0xc05bce24
	.long	0x13b32f30,0x40050255
	.long	0x3ffdd2b8
	.long	0xc0594d7e
	.long	0xdae79d26,0x4004edd7
	.long	0x3ff90fa1
	.long	0xc056d8e8
	.long	0x13220f7f,0x4004d996
	.long	0x3ff46c51
	.long	0xc0547012
	.long	0xb3fa6a49,0x4004c58e
	.long	0x3fefe7bb
	.long	0xc05212ae
	.long	0xa20bcbc6,0x4004b1c0
	.long	0x3feb80db
	.long	0xc04fc070
	.long	0xc76937e4,0x40049e2a
	.long	0x3fe736b7
	.long	0xc04d790f
	.long	0x1f93d776,0x40048acc
	.long	0x3fe30860
	.long	0xc04b3c44
	.long	0xa15ae4b0,0x400477a3
	.long	0x3fdef4f0
	.long	0xc04909cc
	.long	0x697f4726,0x400464b0
	.long	0x3fdafb8a
	.long	0xc046e163
	.long	0x6403b289,0x400451f1
	.long	0x3fd71b59
	.long	0xc044c2ca
	.long	0xb7aecc11,0x40043f65
	.long	0x3fd35392
	.long	0xc042adc3
	.long	0x76dd1156,0x40042d0c
	.long	0x3fcfa371
	.long	0xc040a213
	.long	0xd01983f9,0x40041ae4
	.long	0x3fcc0a37
	.long	0xc03e9f7d
	.long	0xbecf4a2b,0x400408ed
	.long	0x3fc88730
	.long	0xc03ca5ca
	.long	0x7b0eeed7,0x4003f726
	.long	0x3fc519ad
	.long	0xc03ab4c5
	.long	0x50846ea3,0x4003e58e
	.long	0x3fc1c105
	.long	0xc038cc36
	.long	0x3decb5a1,0x4003d424
	.long	0x3fbe7c97
	.long	0xc036ebed
	.long	0xb2048812,0x4003c2e7
	.long	0x3fbb4bc6
	.long	0xc03513b5
	.long	0xb29c9700,0x4003b1d7
	.long	0x3fb82dfc
	.long	0xc0334360
	.long	0xa89c0a0a,0x4003a0f3
	.long	0x3fb522a8
	.long	0xc0317abe
	.long	0xc440fe15,0x4003903a
	.long	0x3fb2293e
	.long	0xc02fb9a2
	.long	0x596206ff,0x40037fac
	.long	0x3faf4138
	.long	0xc02dffe0
	.long	0xb44972f3,0x40036f47
	.long	0x3fac6a14
	.long	0xc02c4d4c
	.long	0x1107001d,0x40035f0c
	.long	0x3fa9a354
	.long	0xc02aa1be
	.long	0xe7c62025,0x40034ef8
	.long	0x3fa6ec80
	.long	0xc028fd0d
	.long	0x815ec2da,0x40033f0d
	.long	0x3fa44523
	.long	0xc0275f11
	.long	0x2e0b0c0e,0x40032f49
	.long	0x3fa1accc
	.long	0xc025c7a5
	.long	0x66b9f8b6,0x40031fab
	.long	0x3f9f230f
	.long	0xc02436a3
	.long	0x788665c8,0x40031033
	.long	0x3f9ca783
	.long	0xc022abe8
	.long	0xded1e594,0x400300e0
	.long	0x3f9a39c2
	.long	0xc0212751
	.long	0x0842a075,0x4002f1b3
	.long	0x3f97d96b
	.long	0xc01fa8bb
	.long	0x494fbc25,0x4002e2a9
	.long	0x3f95861f
	.long	0xc01e3006
	.long	0x2b018f07,0x4002d3c3
	.long	0x3f933f82
	.long	0xc01cbd11
	.long	0x142c8510,0x4002c500
	.long	0x3f91053c
	.long	0xc01b4fbd
	.long	0x7f1daa26,0x4002b65f
	.long	0x3f8ed6f7
	.long	0xc019e7eb
	.long	0xdda5e7e2,0x4002a7e0
	.long	0x3f8cb461
	.long	0xc018857f
	.long	0xc9948908,0x40029983
	.long	0x3f8a9d2a
	.long	0xc017285b
	.long	0xaa59eeeb,0x40028b47
	.long	0x3f889104
	.long	0xc015d062
	.long	0xf2821162,0x40027d2b
	.long	0x3f868fa5
	.long	0xc0147d7c
	.long	0x669445ed,0x40026f30
	.long	0x3f8498c3
	.long	0xc0132f8a
	.long	0x3b85fad8,0x40026154
	.long	0x3f82ac1a
	.long	0xc011e676
	.long	0x3e988364,0x40025397
	.long	0x3f80c964
	.long	0xc010a224
	.long	0xcf7601fc,0x400245f8
	.long	0x3f7de0c1
	.long	0xc00f627e
	.long	0xaab7acb5,0x40023878
	.long	0x3f7a419f
	.long	0xc00e276a
	.long	0x36aab17c,0x40022b16
	.long	0x3f76b4e6
	.long	0xc00cf0d1
	.long	0x0f2aa54c,0x40021dd1
	.long	0x3f733a1e
	.long	0xc00bbe9d
	.long	0xdacdcc1a,0x400210a8
	.long	0x3f6fd0d4
	.long	0xc00a90b8
	.long	0x30e54b08,0x4002039d
	.long	0x3f6c7897
	.long	0xc009670b
	.long	0x8e05e1b3,0x4001f6ad
	.long	0x3f6930fa
	.long	0xc0084182
	.long	0xa51b1d74,0x4001e9d9
	.long	0x3f65f994
	.long	0xc0072009
	.long	0x1cf6297b,0x4001dd21
	.long	0x3f62d1fe
	.long	0xc006028b
	.long	0x8103f9e2,0x4001d083
	.long	0x3f5fb9d5
	.long	0xc004e8f5
	.long	0x7cc51dba,0x4001c400
	.long	0x3f5cb0b7
	.long	0xc003d333
	.long	0xa3e7f161,0x4001b797
	.long	0x3f59b649
	.long	0xc002c134
	.long	0xb4f86544,0x4001ab48
	.long	0x3f56ca2e
	.long	0xc001b2e5
	.long	0x4bc09f7e,0x40019f13
	.long	0x3f53ec0f
	.long	0xc000a834
	.long	0x04a8d6a9,0x400192f7
	.long	0x3f511b96
	.long	0xbfff4221
	.long	0x9d5a7e63,0x400186f3
	.long	0x3f4e5870
	.long	0xbffd3ad2
	.long	0xb211c804,0x40017b08
	.long	0x3f4ba24c
	.long	0xbffb3a5b
	.long	0xfc173425,0x40016f35
	.long	0x3f48f8dc
	.long	0xbff9409b
	.long	0x1e599490,0x4001637b
	.long	0x3f465bd5
	.long	0xbff74d73
	.long	0xc880b659,0x400157d7
	.long	0x3f43caeb
	.long	0xbff560c5
	.long	0xbd156bcf,0x40014c4b
	.long	0x3f4145d7
	.long	0xbff37a71
	.long	0x9283ab1d,0x400140d6
	.long	0x3f3ecc53
	.long	0xbff19a5c
	.long	0x19073c6b,0x40013578
	.long	0x3f3c5e1c
	.long	0xbfefc069
	.long	0xfd4a0663,0x40012a2f
	.long	0x3f39faef
	.long	0xbfedec7b
	.long	0xede7b908,0x40011efd
	.long	0x3f37a28c
	.long	0xbfec1e78
	.long	0xb252b4d7,0x400113e1
	.long	0x3f3554b6
	.long	0xbfea5645
	.long	0xf9904832,0x400108da
	.long	0x3f33112e
	.long	0xbfe893c7
	.long	0x7e150822,0x4000fde9
	.long	0x3f30d7ba
	.long	0xbfe6d6e5
	.long	0xfd1a5086,0x4000f30c
	.long	0x3f2ea821
	.long	0xbfe51f87
	.long	0x3d632fc4,0x4000e845
	.long	0x3f2c822c
	.long	0xbfe36d94
	.long	0xf11c7d33,0x4000dd91
	.long	0x3f2a65a2
	.long	0xbfe1c0f3
	.long	0xd61ea754,0x4000d2f2
	.long	0x3f285250
	.long	0xbfe0198f
	.long	0xc0d51627,0x4000c867
	.long	0x3f264803
	.long	0xbfde7750
	.long	0x61244ec6,0x4000bdf0
	.long	0x3f244687
	.long	0xbfdcda1f
	.long	0x7a6b2e99,0x4000b38c
	.long	0x3f224dad
	.long	0xbfdb41e7
	.long	0xd19f4764,0x4000a93b
	.long	0x3f205d44
	.long	0xbfd9ae92
	.long	0x2ad2e77d,0x40009efe
	.long	0x3f1e751f
	.long	0xbfd8200d
	.long	0x5dbcaf97,0x400094d3
	.long	0x3f1c9510
	.long	0xbfd69641
	.long	0x14b04d5e,0x40008abb
	.long	0x3f1abcec
	.long	0xbfd5111c
	.long	0x2cda2e67,0x400080b5
	.long	0x3f18ec88
	.long	0xbfd3908a
	.long	0x6ab42acc,0x400076c1
	.long	0x3f1723ba
	.long	0xbfd21477
	.long	0x8e9d45e3,0x40006cdf
	.long	0x3f156259
	.long	0xbfd09cd0
	.long	0x62171386,0x4000630f
	.long	0x3f13a83e
	.long	0xbfcf2984
	.long	0xbfb6fb6a,0x40005950
	.long	0x3f11f542
	.long	0xbfcdba80
	.long	0x68a7e5f7,0x40004fa3
	.long	0x3f104940
	.long	0xbfcc4fb3
	.long	0x2ef38d27,0x40004607
	.long	0x3f0ea414
	.long	0xbfcae90c
	.long	0xe03435f5,0x40003c7b
	.long	0x3f0d0598
	.long	0xbfc98678
	.long	0x3b99fee4,0x40003301
	.long	0x3f0b6dab
	.long	0xbfc827e9
	.long	0x28d4ef26,0x40002997
	.long	0x3f09dc2b
	.long	0xbfc6cd4e
	.long	0x6d906b03,0x4000203d
	.long	0x3f0850f6
	.long	0xbfc57696
	.long	0xd0880103,0x400016f3
	.long	0x3f06cbec
	.long	0xbfc423b3
	.long	0x37509185,0x40000dba
	.long	0x3f054cee
	.long	0xbfc2d495
	.long	0x66ce8c53,0x40000490
	.long	0x3f03d3dc
	.long	0xbfc1892d
	.long	0x72279bc0,0x3ffff6ec
	.long	0x3f026099
	.long	0xbfc0416c
	.long	0xeda5cd81,0x3fffe4d6
	.long	0x3f00f308
	.long	0xbfbefd45
	.long	0x0c012834,0x3fffd2e0
	.long	0x3eff1616
	.long	0xbfbdbca8
	.long	0x52f75b3b,0x3fffc107
	.long	0x3efc510e
	.long	0xbfbc7f88
	.long	0x799a7f94,0x3fffaf4c
	.long	0x3ef996c2
	.long	0xbfbb45d9
	.long	0x55edcc30,0x3fff9daf
	.long	0x3ef6e6fb
	.long	0xbfba0f8b
	.long	0x537eb099,0x3fff8c2f
	.long	0x3ef44186
	.long	0xbfb8dc92
	.long	0x38cd722f,0x3fff7acc
	.long	0x3ef1a631
	.long	0xbfb7ace2
	.long	0xc800858f,0x3fff6985
	.long	0x3eef14c9
	.long	0xbfb6806e
	.long	0xaed5086e,0x3fff585b
	.long	0x3eec8d1e
	.long	0xbfb55729
	.long	0x88bfcc7e,0x3fff474d
	.long	0x3eea0f02
	.long	0xbfb43109
	.long	0x3db0d3c5,0x3fff365b
	.long	0x3ee79a45
	.long	0xbfb30e00
	.long	0x4f3507e4,0x3fff2584
	.long	0x3ee52ebb
	.long	0xbfb1ee03
	.long	0x7dab64e4,0x3fff14c8
	.long	0x3ee2cc37
	.long	0xbfb0d107
	.long	0x9247f5f1,0x3fff0427
	.long	0x3ee0728f
	.long	0xbfafb700
	.long	0x252987ab,0x3ffef3a1
	.long	0x3ede2198
	.long	0xbfae9fe4
	.long	0x12fb7286,0x3ffee335
	.long	0x3edbd929
	.long	0xbfad8ba8
	.long	0x0e1fbfd6,0x3ffed2e3
	.long	0x3ed9991a
	.long	0xbfac7a41
	.long	0xc33c7a14,0x3ffec2aa
	.long	0x3ed76144
	.long	0xbfab6ba5
	.long	0xf7968902,0x3ffeb28b
	.long	0x3ed53180
	.long	0xbfaa5fca
	.long	0x72271f31,0x3ffea286
	.long	0x3ed309a8
	.long	0xbfa956a6
	.long	0xf446dfa2,0x3ffe9299
	.long	0x3ed0e998
	.long	0xbfa8502f
	.long	0x31fc7113,0x3ffe82c6
	.long	0x3eced12c
	.long	0xbfa74c5a
	.long	0xc17a77a1,0x3ffe730a
	.long	0x3eccc040
	.long	0xbfa64b20
	.long	0xb683d568,0x3ffe6367
	.long	0x3ecab6b3
	.long	0xbfa54c76
	.long	0x93851ebf,0x3ffe53dc
	.long	0x3ec8b462
	.long	0xbfa45054
	.long	0x48e8d2d8,0x3ffe4469
	.long	0x3ec6b92d
	.long	0xbfa356b0
	.long	0x72ed724b,0x3ffe350d
	.long	0x3ec4c4f3
	.long	0xbfa25f82
	.long	0xf5acec61,0x3ffe25c8
	.long	0x3ec2d795
	.long	0xbfa16ac0
	.long	0x67c5c2c3,0x3ffe169b
	.long	0x3ec0f0f5
	.long	0xbfa07864
	.long	0xd8265439,0x3ffe0784
	.long	0x3fbe23c8
	.long	0xc01f118b
	.long	0x1ec5a532,0x3ffdf113
	.long	0x3fba7d85
	.long	0xc01d3ac5
	.long	0x0000d4c8,0x3ffdd36c
	.long	0x3fb6f02d
	.long	0xc01b6d00
	.long	0x57cb9031,0x3ffdb61c
	.long	0x3fb37ae5
	.long	0xc019a7fe
	.long	0x72ed1c77,0x3ffd9922
	.long	0x3fb01cdd
	.long	0xc017eb83
	.long	0x95b0b15c,0x3ffd7c7c
	.long	0x3facd54f
	.long	0xc0163758
	.long	0x6603fec1,0x3ffd6029
	.long	0x3fa9a37b
	.long	0xc0148b45
	.long	0x469777ae,0x3ffd4427
	.long	0x3fa686a9
	.long	0xc012e714
	.long	0xa71adcce,0x3ffd2874
	.long	0x3fa37e28
	.long	0xc0114a91
	.long	0x0c38599d,0x3ffd0d10
	.long	0x3fa08950
	.long	0xc00fb58a
	.long	0xfc8f14cb,0x3ffcf1f7
	.long	0x3f9da77d
	.long	0xc00e27d0
	.long	0x5027d5b6,0x3ffcd72b
	.long	0x3f9ad814
	.long	0xc00ca133
	.long	0x77f69e05,0x3ffcbca8
	.long	0x3f981a7f
	.long	0xc00b2187
	.long	0x4e14c785,0x3ffca26e
	.long	0x3f956e2d
	.long	0xc009a89f
	.long	0x67cdb787,0x3ffc887b
	.long	0x3f92d292
	.long	0xc0083650
	.long	0x7d1a45e5,0x3ffc6ece
	.long	0x3f90472b
	.long	0xc006ca73
	.long	0x887296e4,0x3ffc5566
	.long	0x3f8dcb76
	.long	0xc00564de
	.long	0x1b6717e3,0x3ffc3c42
	.long	0x3f8b5ef7
	.long	0xc004056b
	.long	0x264323b8,0x3ffc2360
	.long	0x3f890138
	.long	0xc002abf5
	.long	0x8c0c1853,0x3ffc0abf
	.long	0x3f86b1c6
	.long	0xc0015858
	.long	0x4069b804,0x3ffbf25f
	.long	0x3f847032
	.long	0xc0000a6f
	.long	0xf2c0f56b,0x3ffbda3d
	.long	0x3f823c13
	.long	0xbffd8435
	.long	0xe82b41be,0x3ffbc25a
	.long	0x3f801501
	.long	0xbffafe6e
	.long	0xd0c8f1c2,0x3ffbaab4
	.long	0x3f7bf536
	.long	0xbff8834b
	.long	0xc1a3163f,0x3ffb934a
	.long	0x3f77d900
	.long	0xbff6128d
	.long	0xc6e21d7e,0x3ffb7c1b
	.long	0x3f73d4ab
	.long	0xbff3abf8
	.long	0xe60015a5,0x3ffb6526
	.long	0x3f6fe784
	.long	0xbff14f50
	.long	0x21cbd876,0x3ffb4e6b
	.long	0x3f6c10e1
	.long	0xbfeefc5d
	.long	0x9ee07b4c,0x3ffb37e7
	.long	0x3f68501d
	.long	0xbfecb2e7
	.long	0x6d2d48b6,0x3ffb219b
	.long	0x3f64a499
	.long	0xbfea72b8
	.long	0xa81c9b61,0x3ffb0b85
	.long	0x3f610dbb
	.long	0xbfe83b9d
	.long	0x902fdc83,0x3ffaf5a5
	.long	0x3f5d8aee
	.long	0xbfe60d61
	.long	0x27f22c44,0x3ffadffa
	.long	0x3f5a1ba3
	.long	0xbfe3e7d3
	.long	0xa3884d02,0x3ffaca82
	.long	0x3f56bf51
	.long	0xbfe1cac5
	.long	0x554d369e,0x3ffab53e
	.long	0x3f537570
	.long	0xbfdfb606
	.long	0x5450035a,0x3ffaa02c
	.long	0x3f503d7f
	.long	0xbfdda969
	.long	0xe28ff013,0x3ffa8b4b
	.long	0x3f4d1702
	.long	0xbfdba4c2
	.long	0x3ccf3bef,0x3ffa769c
	.long	0x3f4a017f
	.long	0xbfd9a7e6
	.long	0xadd0d7d8,0x3ffa621c
	.long	0x3f46fc82
	.long	0xbfd7b2ab
	.long	0x73a23063,0x3ffa4dcc
	.long	0x3f440799
	.long	0xbfd5c4e8
	.long	0xd9b8e6fd,0x3ffa39aa
	.long	0x3f412258
	.long	0xbfd3de77
	.long	0x47a99575,0x3ffa25b7
	.long	0x3f3e4c53
	.long	0xbfd1ff2e
	.long	0xd6d4c329,0x3ffa11f0
	.long	0x3f3b8525
	.long	0xbfd026eb
	.long	0x1e725d64,0x3ff9fe57
	.long	0x3f38cc6a
	.long	0xbfce5587
	.long	0x4a856a92,0x3ff9eae9
	.long	0x3f3621c3
	.long	0xbfcc8ae0
	.long	0xd3534a3f,0x3ff9d7a6
	.long	0x3f3384d1
	.long	0xbfcac6d1
	.long	0xf6170fe5,0x3ff9c48e
	.long	0x3f30f53c
	.long	0xbfc9093b
	.long	0x43d296cd,0x3ff9b1a1
	.long	0x3f2e72ac
	.long	0xbfc751fb
	.long	0xfbbf8768,0x3ff99edc
	.long	0x3f2bfccb
	.long	0xbfc5a0f2
	.long	0xaa7c60ad,0x3ff98c41
	.long	0x3f299349
	.long	0xbfc3f600
	.long	0x9e5e0c30,0x3ff979ce
	.long	0x3f2735d5
	.long	0xbfc25106
	.long	0x47a967c7,0x3ff96783
	.long	0x3f24e423
	.long	0xbfc0b1e7
	.long	0x213a91b3,0x3ff9555f
	.long	0x3f229de8
	.long	0xbfbf1887
	.long	0xb92f1e71,0x3ff94361
	.long	0x3f2062db
	.long	0xbfbd84c7
	.long	0x4e9fbb55,0x3ff9318a
	.long	0x3f1e32b7
	.long	0xbfbbf68e
	.long	0x8c3e135d,0x3ff91fd8
	.long	0x3f1c0d36
	.long	0xbfba6dc0
	.long	0xe5486399,0x3ff90e4b
	.long	0x3f19f217
	.long	0xbfb8ea42
	.long	0xbecd10bc,0x3ff8fce3
	.long	0x3f17e11a
	.long	0xbfb76bfc
	.long	0xbe525978,0x3ff8eb9f
	.long	0x3f15d9ff
	.long	0xbfb5f2d3
	.long	0x48293568,0x3ff8da7f
	.long	0x3f13dc8c
	.long	0xbfb47eb1
	.long	0x05d5e650,0x3ff8c982
	.long	0x3f11e884
	.long	0xbfb30f7c
	.long	0x60ba5dac,0x3ff8b8a7
	.long	0x3f0ffdb0
	.long	0xbfb1a51e
	.long	0xefd22e82,0x3ff8a7ee
	.long	0x3f0e1bd7
	.long	0xbfb03f80
	.long	0x47805b92,0x3ff89758
	.long	0x3f0c42c3
	.long	0xbfaede8a
	.long	0xcd57cc04,0x3ff886e2
	.long	0x3f0a7241
	.long	0xbfad8229
	.long	0x46b3d0d8,0x3ff8768e
	.long	0x3f08aa1e
	.long	0xbfac2a48
	.long	0x4cc7ad59,0x3ff8665a
	.long	0x3f06ea27
	.long	0xbfaad6cf
	.long	0x3347fcf1,0x3ff85646
	.long	0x3f05322e
	.long	0xbfa987ad
	.long	0xcc7c68cf,0x3ff84651
	.long	0x3f038204
	.long	0xbfa83ccd
	.long	0x95d48bda,0x3ff8367c
	.long	0x3f01d97a
	.long	0xbfa6f61c
	.long	0x40b0d774,0x3ff826c6
	.long	0x3f003866
	.long	0xbfa5b387
	.long	0x521e69ab,0x3ff8172e
	.long	0x3efd3d38
	.long	0xbfa474fb
	.long	0x64a31380,0x3ff807b4
	.long	0x3efa17e4
	.long	0xbfa33a67
	.long	0x344463f5,0x3ff7f858
	.long	0x3ef70080
	.long	0xbfa203b9
	.long	0x536e309d,0x3ff7e919
	.long	0x3ef3f6bd
	.long	0xbfa0d0df
	.long	0x51d9db7f,0x3ff7d9f7
	.long	0x3ef0fa4e
	.long	0xbf9fa1ca
	.long	0x03bdd024,0x3ff7caf2
	.long	0x3eee0ae8
	.long	0xbf9e7667
	.long	0xd06a95a6,0x3ff7bc08
	.long	0x3eeb2842
	.long	0xbf9d4ea8
	.long	0x96a621bf,0x3ff7ad3b
	.long	0x3ee85215
	.long	0xbf9c2a7d
	.long	0xfac56bba,0x3ff79e89
	.long	0x3ee5881d
	.long	0xbf9b09d5
	.long	0x79c2bb58,0x3ff78ff3
	.long	0x3ee2ca16
	.long	0xbf99eca3
	.long	0xfa3e419f,0x3ff78177
	.long	0x3ee017bf
	.long	0xbf98d2d7
	.long	0x07c1acb7,0x3ff77317
	.long	0x3edd70d7
	.long	0xbf97bc62
	.long	0x49bbc9e6,0x3ff764d0
	.long	0x3edad522
	.long	0xbf96a937
	.long	0x8367baca,0x3ff756a3
	.long	0x3ed84462
	.long	0xbf959948
	.long	0x6acc6906,0x3ff74890
	.long	0x3ed5be5d
	.long	0xbf948c88
	.long	0xbcc0ac8a,0x3ff73a96
	.long	0x3ed342d8
	.long	0xbf9382e7
	.long	0xed77fbb2,0x3ff72cb5
	.long	0x3ed0d19d
	.long	0xbf927c5c
	.long	0x1262b283,0x3ff71eee
	.long	0x3ece6a74
	.long	0xbf9178d7
	.long	0x928b4839,0x3ff7113e
	.long	0x3ecc0d29
	.long	0xbf90784d
	.long	0x46765494,0x3ff703a7
	.long	0x3ec9b988
	.long	0xbf8f7ab1
	.long	0xd271890f,0x3ff6f627
	.long	0x3ec76f5d
	.long	0xbf8e7ff8
	.long	0x1330f37e,0x3ff6e8c0
	.long	0x3ec52e79
	.long	0xbf8d8817
	.long	0xca5f6659,0x3ff6db6f
	.long	0x3ec2f6aa
	.long	0xbf8c9300
	.long	0x7a3c2c24,0x3ff6ce36
	.long	0x3ec0c7c2
	.long	0xbf8ba0aa
	.long	0x18d80162,0x3ff6c114
	.long	0x3ebea193
	.long	0xbf8ab109
	.long	0x4b1eb26b,0x3ff6b408
	.long	0x3ebc83f0
	.long	0xbf89c412
	.long	0xcd29fcba,0x3ff6a712
	.long	0x3eba6eaf
	.long	0xbf88d9bb
	.long	0x664b0f09,0x3ff69a33
	.long	0x3eb861a4
	.long	0xbf87f1f9
	.long	0xcfa00fd5,0x3ff68d69
	.long	0x3eb65ca6
	.long	0xbf870cc3
	.long	0xe9d2a6b3,0x3ff680b5
	.long	0x3eb45f8c
	.long	0xbf862a0e
	.long	0x5e7a0e0b,0x3ff67417
	.long	0x3eb26a30
	.long	0xbf8549d1
	.long	0xfe6852bf,0x3ff6678d
	.long	0x3eb07c6a
	.long	0xbf846c01
	.long	0x6f577b40,0x3ff65b19
	.long	0x3eae9616
	.long	0xbf839096
	.long	0x94beacb4,0x3ff64eb9
	.long	0x3eacb70d
	.long	0xbf82b786
	.long	0x2d87a5b4,0x3ff6426e
	.long	0x3eaadf2d
	.long	0xbf81e0c9
	.long	0x133eca3a,0x3ff63637
	.long	0x3ea90e52
	.long	0xbf810c55
	.long	0xf3b8ca64,0x3ff62a13
	.long	0x3ea74459
	.long	0xbf803a22
	.long	0xb1e928a1,0x3ff61e04
	.long	0x3ea58123
	.long	0xbf7ed44e
	.long	0xf9c12cea,0x3ff61208
	.long	0x3ea3c48d
	.long	0xbf7d38b8
	.long	0xb0f105b4,0x3ff60620
	.long	0x3ea20e79
	.long	0xbf7ba172
	.long	0x9c747236,0x3ff5fa4b
	.long	0x3ea05ec6
	.long	0xbf7a0e6a
	.long	0x79454bb5,0x3ff5ee89
	.long	0x3e9eb556
	.long	0xbf787f92
	.long	0x2c804088,0x3ff5e2da
	.long	0x3e9d120c
	.long	0xbf76f4d9
	.long	0x686ac26d,0x3ff5d73d
	.long	0x3e9b74ca
	.long	0xbf756e31
	.long	0x1493b001,0x3ff5cbb3
	.long	0x3e99dd75
	.long	0xbf73eb8c
	.long	0x048406f4,0x3ff5c03b
	.long	0x3e984bef
	.long	0xbf726cd9
	.long	0xf4dbeebe,0x3ff5b4d4
	.long	0x3e96c01f
	.long	0xbf70f20b
	.long	0xbbe3f38a,0x3ff5a980
	.long	0x3e9539e9
	.long	0xbf6f7b14
	.long	0x37ac4b0e,0x3ff59e3e
	.long	0x3e93b933
	.long	0xbf6e07e5
	.long	0x294f0c16,0x3ff5930d
	.long	0x3e923de4
	.long	0xbf6c9870
	.long	0x5aaed17d,0x3ff587ed
	.long	0x3e90c7e3
	.long	0xbf6b2caa
	.long	0xc550e64d,0x3ff57cde
	.long	0x3e8f5718
	.long	0xbf69c484
	.long	0x1e1a64d6,0x3ff571e1
	.long	0x3e8deb6b
	.long	0xbf685ff2
	.long	0x4990847b,0x3ff566f4
	.long	0x3e8c84c4
	.long	0xbf66fee6
	.long	0x0dee1cfa,0x3ff55c18
	.long	0x3e8b230e
	.long	0xbf65a155
	.long	0x4a4098f7,0x3ff5514c
	.long	0x3e89c631
	.long	0xbf644732
	.long	0xd65fdb98,0x3ff54690
	.long	0x3e886e18
	.long	0xbf62f072
	.long	0x9358f9fc,0x3ff53be5
	.type	__sqrt_t_table,@object
	.size	__sqrt_t_table,4096
	.data
	.section .note.GNU-stack, ""
# End
